#4101 closed defect (fixed)

atsamv fails to build on master

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 6.1
Component: arch/arm Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

This may also fail on 5.

$ ../rtems/configure --target=arm-rtems6 --enable-rtemsbsp=atsamv --prefix=/home/joel/rtems-cron-6/tools/6/bsp-install --disable-networking --enable-posix --enable-smp --disable-multiprocessing --disable-rtems-debug --disable-profiling --enable-tests --enable-cxx --enable-maintainer-mode

rm-rtems6-gcc --pipe -DHAVE_CONFIG_H   -I. -I/home/joel/rtems-cron-6/b-atsamv/arm-rtems6/c/atsamv/include -I/home/joel/rtems-cron-6/rtems/cpukit/include -I/home/joel/rtems-cron-6/rtems/cpukit/score/cpu/arm/include   -mthumb -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT libcsupport/src/error.o -MD -MP -MF $depbase.Tpo -c -o libcsupport/src/error.o ../../../../../rtems/c/src/../../cpukit/libcsupport/src/error.c &&\
mv -f $depbase.Tpo $depbase.Po
In file included from /home/joel/rtems-cron-6/rtems/cpukit/include/rtems/score/threaddispatch.h:21,
                 from /home/joel/rtems-cron-6/rtems/cpukit/include/rtems/score/objectimpl.h:29,
                 from /home/joel/rtems-cron-6/rtems/cpukit/include/rtems/score/threadimpl.h:31,
                 from ../../../../../rtems/c/src/../../cpukit/libcsupport/src/error.c:16:
/home/joel/rtems-cron-6/rtems/cpukit/include/rtems/score/percpu.h:439:3: error: unknown type name 'CPU_Interrupt_frame'
  439 |   CPU_Interrupt_frame Interrupt_frame;
      |   ^~~~~~~~~~~~~~~~~~~

Change History (6)

comment:1 Changed on Sep 29, 2020 at 9:53:17 PM by Joel Sherrill

I am not going through every failing ARM BSP but spot checking shows that this impacts the lpc176x family also.

comment:2 Changed on Sep 29, 2020 at 10:03:41 PM by Joel Sherrill

Description: modified (diff)

comment:3 Changed on Sep 30, 2020 at 5:51:40 AM by Sebastian Huber

These BSPs don't support SMP.

comment:4 Changed on Sep 30, 2020 at 12:59:08 PM by Joel Sherrill

And why is this not a more obvious configure time problem in waf?

I would report the failures against waf but since it uses the same build directory all the time, I can't rebuild those until all the builds fail and it is just now getting to mips.

comment:5 Changed on Oct 1, 2020 at 8:08:10 PM by Sebastian Huber

Fixed by recent commit.

comment:6 Changed on Oct 1, 2020 at 8:10:15 PM by Sebastian Huber

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.